[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Menus' (#lcl)

# TMenuItem.CreateHandle

Creates the Handle for the menu item.

## Declaration

Source position: menus.pp line 239

`protected procedure TMenuItem.CreateHandle; virtual;`

## Description

CreateHandle is a method used to create the Handle for the control using the widgetset class instance. CreateHandle calls CheckChildrenHandles to ensure that handles for hidden menu Items are freed, and handles for MergedItems are re-created.

CreateHandle raises a catchable exception if the method is called when the menu item is not Visible.